aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulien Duraj <julien.duraj@linaro.org>2017-06-23 17:46:43 +0100
committerJulien Duraj <julien.duraj@linaro.org>2017-06-23 17:48:25 +0100
commit8b2becef68c3240acf68c35eacd15bb35ee96879 (patch)
tree2f7d760e3ca22826a993b68804a75a106c22887e
parent6bc92adc3416a8657784ccb2231a57fde64b2aa2 (diff)
set_cpu_freq: fix pin-freq for non biglittle device
Test: scripts/benchmarks/../devices/set_cpu_freq.sh --all --pin-freq Change-Id: I35a03a72cd43ea9f44c17ec362b06c304107d233
-rwxr-xr-xdevices/set_cpu_freq.sh25
1 files changed, 15 insertions, 10 deletions
diff --git a/devices/set_cpu_freq.sh b/devices/set_cpu_freq.sh
index 845639d..1c7249c 100755
--- a/devices/set_cpu_freq.sh
+++ b/devices/set_cpu_freq.sh
@@ -120,16 +120,21 @@ set_device_freq() {
esac
if ${options["pin-freq"]}; then
- case ${options["cpus"]} in
- big|all)
- log I "Pinning the frequency on the big cores."
- safe set_freq_cpus "${TARGET_FREQ_BIG:-${TARGET_FREQ}}" "${BIG_CPUS[@]}"
- ;;&
- little|all)
- log I "Pinning the frequency on the little cores."
- safe set_freq_cpus "${TARGET_FREQ_LITTLE:-${TARGET_FREQ}}" "${LITTLE_CPUS[@]}"
- ;;
- esac
+ if ! ${DEVICE_IS_BIG_LITTLE}; then
+ log I "Pinning the frequency on all cores."
+ safe set_freq_cpus "${TARGET_FREQ}" "${CPUS[@]}"
+ else
+ case ${options["cpus"]} in
+ big|all)
+ log I "Pinning the frequency on the big cores."
+ safe set_freq_cpus "${TARGET_FREQ_BIG:-${TARGET_FREQ}}" "${BIG_CPUS[@]}"
+ ;;&
+ little|all)
+ log I "Pinning the frequency on the little cores."
+ safe set_freq_cpus "${TARGET_FREQ_LITTLE:-${TARGET_FREQ}}" "${LITTLE_CPUS[@]}"
+ ;;
+ esac
+ fi
fi
}